CommonSettings
Keywords: com.fg.ftreenodes.CommonSettings class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class CommonSettings

    java.lang.Object
      com.fg.ftreenodes.CommonSettings

All Implemented Interfaces:
  java.lang.Cloneable

public class CommonSettings
extends java.lang.Object
implements java.lang.Cloneable

A CommonSettings instance is passed as a parameter to some constructors of classes, descendant from the `FAbstractToggleNode`). This approach significantly simplifies property settings and allows to share some property values among multiple toggle-node instances.

Version:
  1.0
Author:
  Felix Golubov

Constructor Summary
`CommonSettings()`

Method Summary
`CommonSettings` | `copy()`
`boolean` | `getAllowsChildren()`
`boolean` | `getAllowsFlattening()`
`java.awt.Color` | `getFolderBackground()`
`java.awt.Image` | `getLabelImage()`
`java.lang.String` | `getLabelText()`
`boolean` | `getNodeValidity()`
`boolean` | `isEditable()`
`boolean` | `isFolderBarDecorated()`
`boolean` | `isRadioUnselectable()`
`boolean` | `isToggleEnabled()`
`boolean` | `isToggleRadio()`
`boolean` | `isToggleSelected()`
`boolean` | `isToggleVisible()`
`CommonSettings` | `setAllowsChildren(boolean allowsChildren)`
`CommonSettings` | `setAllowsFlattening(boolean flattening)`
`void` | `setEditable(boolean editable)`
`CommonSettings` | `setFolderBackground(java.awt.Color color)`
`CommonSettings` | `setFolderBarDecorated(boolean decorated)`
`CommonSettings` | `setLabelImage(java.awt.Image labelImage)`
`CommonSettings` | `setLabelText(java.lang.String labelText)`
`CommonSettings` | `setNodeValidity(boolean nodeValidity)`
`CommonSettings` | `setRadioUnselectable(boolean radioUnselectable)`
`CommonSettings` | `setToggleEnabled(boolean toggleEnabled)`
`CommonSettings` | `setToggleRadio(boolean toggleRadio)`
`CommonSettings` | `setToggleSelected(boolean toggleSelected)`
`CommonSettings` | `setToggleVisible(boolean toggleVisible)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonSettings

    public CommonSettings()

Method Detail

### setAllowsChildren

    public CommonSettings setAllowsChildren(boolean allowsChildren)

### getAllowsChildren

    public boolean getAllowsChildren()

### setEditable

    public void setEditable(boolean editable)

### isEditable

    public boolean isEditable()

### setAllowsFlattening

    public CommonSettings setAllowsFlattening(boolean flattening)

### getAllowsFlattening

    public boolean getAllowsFlattening()

### setFolderBarDecorated

    public CommonSettings setFolderBarDecorated(boolean decorated)

### isFolderBarDecorated

    public boolean isFolderBarDecorated()

### setToggleRadio

    public CommonSettings setToggleRadio(boolean toggleRadio)

### isToggleRadio

    public boolean isToggleRadio()

### setToggleVisible

    public CommonSettings setToggleVisible(boolean toggleVisible)

### isToggleVisible

    public boolean isToggleVisible()

### setToggleEnabled

    public CommonSettings setToggleEnabled(boolean toggleEnabled)

### isToggleEnabled

    public boolean isToggleEnabled()

### setToggleSelected

    public CommonSettings setToggleSelected(boolean toggleSelected)

### isToggleSelected

    public boolean isToggleSelected()

### setRadioUnselectable

    public CommonSettings setRadioUnselectable(boolean radioUnselectable)

### isRadioUnselectable

    public boolean isRadioUnselectable()

### setNodeValidity

    public CommonSettings setNodeValidity(boolean nodeValidity)

### getNodeValidity

    public boolean getNodeValidity()

### setLabelImage

    public CommonSettings setLabelImage(java.awt.Image labelImage)

### getLabelImage

    public java.awt.Image getLabelImage()

### setLabelText

    public CommonSettings setLabelText(java.lang.String labelText)

### getLabelText

    public java.lang.String getLabelText()

### setFolderBackground

    public CommonSettings setFolderBackground(java.awt.Color color)

### getFolderBackground

    public java.awt.Color getFolderBackground()

### copy

    public CommonSettings copy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD